summaryrefslogtreecommitdiffstats
path: root/client/boot-tools/includes/usr/bin
diff options
context:
space:
mode:
Diffstat (limited to 'client/boot-tools/includes/usr/bin')
-rw-r--r--client/boot-tools/includes/usr/bin/boot-tools/boottoolsBootGraphics.sh19
-rwxr-xr-xclient/boot-tools/includes/usr/bin/boot-tools/boottoolsFsLocales.sh6
-rw-r--r--client/boot-tools/includes/usr/bin/boot-tools/boottoolsFsOpengnsys.sh124
-rwxr-xr-xclient/boot-tools/includes/usr/bin/boot-tools/boottoolsFsPostconfiguration.sh5
-rwxr-xr-xclient/boot-tools/includes/usr/bin/boot-tools/boottoolsInitrdGenerate.sh18
-rwxr-xr-xclient/boot-tools/includes/usr/bin/boot-tools/boottoolsSoftwareCompile.sh32
-rwxr-xr-xclient/boot-tools/includes/usr/bin/boot-tools/boottoolsSoftwareInstall.sh69
-rw-r--r--client/boot-tools/includes/usr/bin/boot-tools/boottoolsSoftwareXwindows14
-rwxr-xr-xclient/boot-tools/includes/usr/bin/boot-tools/boottoolsSshClient.sh25
-rwxr-xr-xclient/boot-tools/includes/usr/bin/boot-tools/boottoolsSshServer.sh18
-rw-r--r--client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.Xwindow10
-rw-r--r--client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.Zinitrd3
-rw-r--r--client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.basic13
-rw-r--r--client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.cloning16
-rw-r--r--client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.compile10
-rw-r--r--client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.compresor12
-rw-r--r--client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.filesystem.local21
-rw-r--r--client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.filesystem.remote9
-rw-r--r--client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.monitoring12
-rw-r--r--client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.networking14
-rw-r--r--client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.testing4
-rwxr-xr-xclient/boot-tools/includes/usr/bin/boot-tools/qemu.sh12
22 files changed, 466 insertions, 0 deletions
diff --git a/client/boot-tools/includes/usr/bin/boot-tools/boottoolsBootGraphics.sh b/client/boot-tools/includes/usr/bin/boot-tools/boottoolsBootGraphics.sh
new file mode 100644
index 00000000..edd0dc00
--- /dev/null
+++ b/client/boot-tools/includes/usr/bin/boot-tools/boottoolsBootGraphics.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+#TODO Comprobar si esta los source.
+#svn checkout http://www.opengnsys.es/svn/branches/version1.0/client /tmp/opengnsys_installer/opengnsys/client/;
+#svn checkout http://www.opengnsys.es/svn/branches/version2/ /tmp/opengnsys_installer/opengnsys2
+find /tmp/opengnsys_installer/ -name .svn -type d -exec rm -fr {} \; 2>/dev/null;
+
+#plymouth
+apt-get -y install plymouth plymouth-theme-script
+
+
+#plymoutyh
+update-alternatives --install /lib/plymouth/themes/default.plymouth default.plymouth /lib/plymouth/themes/opengnsys/opengnsys.plymouth 100
+update-alternatives --set default.plymouth /lib/plymouth/themes/opengnsys/opengnsys.plymouth
+
+mkdir -p /etc/initramfs-tools/conf.d
+echo "FRAMEBUFFER=y" > /etc/initramfs-tools/conf.d/splash
+
+history -c \ No newline at end of file
diff --git a/client/boot-tools/includes/usr/bin/boot-tools/boottoolsFsLocales.sh b/client/boot-tools/includes/usr/bin/boot-tools/boottoolsFsLocales.sh
new file mode 100755
index 00000000..63d36943
--- /dev/null
+++ b/client/boot-tools/includes/usr/bin/boot-tools/boottoolsFsLocales.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+dpkg-reconfigure console-data
+dpkg-reconfigure console-setup
+dpkg-reconfigure locales
+
+history -c \ No newline at end of file
diff --git a/client/boot-tools/includes/usr/bin/boot-tools/boottoolsFsOpengnsys.sh b/client/boot-tools/includes/usr/bin/boot-tools/boottoolsFsOpengnsys.sh
new file mode 100644
index 00000000..21b7a54d
--- /dev/null
+++ b/client/boot-tools/includes/usr/bin/boot-tools/boottoolsFsOpengnsys.sh
@@ -0,0 +1,124 @@
+#!/bin/bash
+#TODO Comprobar si esta los source.
+
+#svn checkout http://www.opengnsys.es/svn/branches/version1.0/client /tmp/opengnsys_installer/opengnsys/client/;
+#svn checkout http://www.opengnsys.es/svn/branches/version2/ /tmp/opengnsys_installer/opengnsys2
+find /tmp/opengnsys_installer/ -name .svn -type d -exec rm -fr {} \; 2>/dev/null;
+
+apt-get -y --force-yes install subversion
+export SVNURL="http://opengnsys.es/svn/branches/version1.0/client/"
+VERSIONSVN=$(LANG=C svn info $SVNURL | awk '/Revision:/ {print "r"$2}')
+
+VERSIONBOOTTOOLS=ogLive
+
+NAMEISOCLIENT="/tmp/opengnsys_info_rootfs"
+NAMEHOSTCLIENT="/tmp/opengnsys_chroot"
+
+SVNCLIENTDIR=/tmp/opengnsys_installer/opengnsys/client/boot-tools
+SVNCLIENTSTRUCTURE=/tmp/opengnsys_installer/opengnsys/client/shared
+SVNCLIENTENGINE=/tmp/opengnsys_installer/opengnsys/client/engine
+SVNOG2=/tmp/opengnsys_installer/opengnsys2
+
+OGCLIENTMOUNT=""
+
+
+OSDISTRIB=$(lsb_release -i | awk -F: '{sub(/\t/,""); print $2}') 2>/dev/null
+OSCODENAME=$(cat /etc/lsb-release | grep CODENAME | awk -F= '{print $NF}')
+OSRELEASE=$(uname -a | awk '{print $3}')
+uname -a | grep x86_64 > /dev/null && export OSARCH=amd64 || export OSARCH=i386
+OSHTTP="http://es.archive.ubuntu.com/ubuntu/"
+
+echo $OSDISTRIB:$OSCODENAME:$OSRELEASE:$OSARCH:$OSHTTP
+
+
+LERROR=TRUE
+
+echo "$FUNCNAME: Iniciando la personalizaciĆ³n con datos del SVN "
+
+# parseamos del apt.source
+sed -e "s/OSCODENAME/$OSCODENAME/g" ${SVNCLIENTDIR}/includes/etc/apt/sources.list.ubuntu > ${SVNCLIENTDIR}/includes/etc/apt/sources.list
+if [ $? -ne 0 ]
+then
+ echo "$FUNCNAME(): Parsing apt.sources : ERROR"
+ exit 1
+fi
+
+
+
+#damos permiso al directorio de scripts
+chmod -R 775 ${SVNCLIENTDIR}/includes/usr/bin/*
+
+# los copiamos
+cp -prv ${SVNCLIENTDIR}/includes/* /
+mkdir -p ${OGCLIENTMOUNT}/opt/opengnsys/
+cp -prv ${SVNCLIENTSTRUCTURE}/* ${OGCLIENTMOUNT}/opt/opengnsys/
+cp -prv ${SVNCLIENTENGINE}/* ${OGCLIENTMOUNT}/opt/opengnsys/lib/engine/bin/
+
+if [ $? -ne 0 ]
+then
+ echo "$FUNCNAME(): Copying client data : ERROR"
+ exit 1
+fi
+
+# copiamos algunas cosas del nfsexport
+
+#### Tipos de letra para el Browser.
+cp -pr ${SVNCLIENTSTRUCTURE}/lib/fonts $OGCLIENTMOUNT/usr/local/lib/fonts
+#### Crear enlaces para compatibilidad con las distintas versiones del Browser.
+mkdir -p $OGCLIENTMOUNT/usr/local/Trolltech/QtEmbedded-4.5.1/lib/
+mkdir -p $OGCLIENTMOUNT/usr/local/QtEmbedded-4.6.2/lib/
+mkdir -p $OGCLIENTMOUNT/usr/local/QtEmbedded-4.6.3/lib/
+cp -pr ${SVNCLIENTSTRUCTURE}/lib/fonts $OGCLIENTMOUNT/usr/local/Trolltech/QtEmbedded-4.5.1/lib/fonts
+cp -pr ${SVNCLIENTSTRUCTURE}/lib/fonts $OGCLIENTMOUNT/usr/local/QtEmbedded-4.6.2/lib/fonts
+cp -pr ${SVNCLIENTSTRUCTURE}/lib/fonts $OGCLIENTMOUNT/usr/local/QtEmbedded-4.6.3/lib/fonts
+if [ $? -ne 0 ]
+then
+ echo "$FUNCNAME(): Linking Browser fonts : ERROR"
+ exit 1
+fi
+
+#########################################################
+cp -pr ${SVNCLIENTSTRUCTURE}/lib/pci.ids $OGCLIENTMOUNT/etc
+if [ $? -ne 0 ]
+then
+ echo "$FUNCNAME(): Copying pci.ids : ERROR"
+ exit 1
+fi
+####### Browsser
+cp ${SVNCLIENTSTRUCTURE}/bin/browser $OGCLIENTMOUNT/bin
+if [ $? -ne 0 ]
+then
+ echo "$FUNCNAME(): Copying Browser : ERROR"
+ exit 1
+fi
+
+
+#Compatiblidad con og2
+cp ${SVNCLIENTSTRUCTURE}/bin/browser2 $OGCLIENTMOUNT/bin
+
+cp -prv ${SVNOG2}/ogr/ogr $OGCLIENTMOUNT/opt/opengnsys/bin/
+
+cp -prv ${SVNOG2}/ogr/libogr.py $OGCLIENTMOUNT/usr/lib/python2.7/libogr.py
+cp -prv ${SVNOG2}/ogr/libogr.py $OGCLIENTMOUNT/usr/lib/python2.6/libogr.py
+cp -prv ${SVNOG2}/ogr/libogr.py $OGCLIENTMOUNT/opt/opengnsys/lib/python
+
+
+echo "mkdir -p /opt/opengnsys/lib/engine/"
+mkdir -p /opt/opengnsys/engine/
+echo "cp -prv ${SVNOG2}/engine/2.0/* $OGCLIENTMOUNT/opt/opengnsys/engine/"
+cp -prv ${SVNOG2}/engine/2.0/* $OGCLIENTMOUNT/opt/opengnsys/engine/
+
+
+cp -prv ${SVNOG2}/job_executer $OGCLIENTMOUNT/opt/opengnsys/bin/
+
+
+cp ${SVNCLIENTSTRUCTURE}/bin/ogAdmClient $OGCLIENTMOUNT/bin
+
+
+echo ${VERSIONBOOTTOOLS}-${OSCODENAME}-${OSRELEASE}-${VERSIONSVN} > $NAMEISOCLIENT
+echo ${VERSIONBOOTTOOLS}-${OSCODENAME}-${VERSIONSVN} > $NAMEHOSTCLIENT
+echo ${VERSIONBOOTTOOLS}-${OSCODENAME}-${VERSIONSVN} > /etc/debian_chroot
+echo ${VERSIONBOOTTOOLS}-${OSCODENAME}-${VERSIONSVN} > /etc/opengnsys_chroot
+
+history -c
+
diff --git a/client/boot-tools/includes/usr/bin/boot-tools/boottoolsFsPostconfiguration.sh b/client/boot-tools/includes/usr/bin/boot-tools/boottoolsFsPostconfiguration.sh
new file mode 100755
index 00000000..140cffb9
--- /dev/null
+++ b/client/boot-tools/includes/usr/bin/boot-tools/boottoolsFsPostconfiguration.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+
+
+history -c \ No newline at end of file
diff --git a/client/boot-tools/includes/usr/bin/boot-tools/boottoolsInitrdGenerate.sh b/client/boot-tools/includes/usr/bin/boot-tools/boottoolsInitrdGenerate.sh
new file mode 100755
index 00000000..fe9fe4ff
--- /dev/null
+++ b/client/boot-tools/includes/usr/bin/boot-tools/boottoolsInitrdGenerate.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+export OSDISTRIB=$(lsb_release -i | awk -F: '{sub(/\t/,""); print $2}') 2>/dev/null
+#OSCODENAME=$(lsb_release -c | awk -F: '{sub(/\t/,""); print $2}') 2>/dev/null
+export OSCODENAME=$(cat /etc/lsb-release | grep CODENAME | awk -F= '{print $NF}')
+export OSRELEASE=$(uname -a | awk '{print $3}')
+uname -a | grep x86_64 > /dev/null && export OSARCH=amd64 || export OSARCH=i386
+export OSHTTP="http://es.archive.ubuntu.com/ubuntu/"
+
+
+
+cd /usr/lib/initramfs-tools/bin/
+rm *
+cp /bin/busybox ./
+cd /tmp/
+mkinitramfs -o /tmp/initrd.img-$OSRELEASE -v $OSRELEASE
+cp /boot/vmlinuz-$OSRELEASE /tmp
+
+history -c \ No newline at end of file
diff --git a/client/boot-tools/includes/usr/bin/boot-tools/boottoolsSoftwareCompile.sh b/client/boot-tools/includes/usr/bin/boot-tools/boottoolsSoftwareCompile.sh
new file mode 100755
index 00000000..568548f2
--- /dev/null
+++ b/client/boot-tools/includes/usr/bin/boot-tools/boottoolsSoftwareCompile.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+################################################################
+##################### SOFTWARE #####################
+################################################################
+export LANGUAGE=C
+export LC_ALL=C
+export LANG=C
+
+
+source /opt/opengnsys/lib/engine/bin/ToolsGNU.c &>/dev/null
+cd /tmp
+
+echo "ctorrent "
+which ctorrent || ctorrent install &>/dev/null
+
+echo "udp-sender "
+which udp-sender || udpcast install &>/dev/null
+
+echo "ms-sys "
+which ms-sys || ms-sys install &>/dev/null
+
+echo "echo partclone "
+#which partclone.ntfs || $(wget -O partclone_0.2.16_i386.deb http://downloads.sourceforge.net/project/partclone/stable/0.2.16/partclone_0.2.16_i386.deb?use_mirror=ovh &>/dev/null; gdebi -n partclone_0.2.16_i386.deb &>/dev/null)
+which partclone.ntfs || gdebi -n /var/cache/apt/archivesOG/partclone_0.2.8_i386.deb
+
+echo "spartlnx"
+which spartlnx.run || $(wget http://damien.guibouret.free.fr/savepart.zip &>/dev/null; unzip -o savepart.zip -d /sbin/)
+
+echo "xvesa"
+gdebi -n /var/cache/apt/archivesOG/xvesa.deb
+
+history -c \ No newline at end of file
diff --git a/client/boot-tools/includes/usr/bin/boot-tools/boottoolsSoftwareInstall.sh b/client/boot-tools/includes/usr/bin/boot-tools/boottoolsSoftwareInstall.sh
new file mode 100755
index 00000000..9af72199
--- /dev/null
+++ b/client/boot-tools/includes/usr/bin/boot-tools/boottoolsSoftwareInstall.sh
@@ -0,0 +1,69 @@
+#!/bin/bash
+export LANGUAGE=C
+export LC_ALL=C
+export LANG=C
+#LOG_FILE=/tmp/boot-tools-software.txt
+
+#Desactivamos upstart
+dpkg-divert --local --rename --add /sbin/initctl
+ln -s /bin/true /sbin/initctl
+
+#cp /tmp/sources.list /etc/apt/sources.list
+#Limpiamos y actualizamos los repositorios apt
+apt-get clean
+apt-get update
+
+#Desactivamos el hook del oginitrd.img para evitar problemas.
+mv /etc/initramfs-tools/hooks/oghooks /etc/initramfs-tools/
+
+echo " /dev/sda1 / ext4 rw,errors=remount-ro 0 0 " > /etc/mtab
+
+
+#Instalamos el kernel.
+export OSDISTRIB=$(lsb_release -i | awk -F: '{sub(/\t/,""); print $2}') 2>/dev/null
+export OSCODENAME=$(cat /etc/lsb-release | grep CODENAME | awk -F= '{print $NF}')
+export OSRELEASE=$(uname -a | awk '{print $3}')
+uname -a | grep x86_64 > /dev/null && export OSARCH=amd64 || export OSARCH=i386
+export OSHTTP="http://es.archive.ubuntu.com/ubuntu/"
+# software Kernel
+apt-get -y --force-yes install linux-image-${OSRELEASE} linux-headers-${OSRELEASE} linux-image-$RELEASE
+
+#Eliminamos cualquier busybox previo: antes del busybox.
+apt-get -y --force-yes remove busybox
+
+#estos paquetes ofrecen interaccion.
+# si es actualizaciĆ³n, ya existe el fichero /etc/ssh/ssh_config
+apt-get -y install sshfs
+
+apt-get -y install console-data
+
+for group in `find /usr/bin/boot-tools/listpackages/ -name sw.*`
+do
+ echo "Instalando el grupo de paquetes almacenados en $group"
+ for package in ` awk /^install/'{print $2}' $group `
+ do
+ echo -n $package
+ apt-get -y --force-yes install $package &>/dev/null
+ RETVAL=$?
+ if [ $RETVAL == 0 ]
+ then
+ echo " : OK - Paquete instalado correctamente (codigo interno de apt-get $RETVAL)"
+ else
+ echo " : Error Paquete $package del grupo $group (codigo interno de apt-get $RETVAL) "
+ echo "Pulse pause para continuar"
+ read
+ fi
+ done
+done
+
+
+#Activamos el hook del oginitrd.img
+mv /etc/initramfs-tools/oghooks /etc/initramfs-tools/hooks/
+
+echo " " > /etc/mtab
+
+apt-get clean
+apt-get autoclean
+apt-get autoremove
+
+history -c
diff --git a/client/boot-tools/includes/usr/bin/boot-tools/boottoolsSoftwareXwindows b/client/boot-tools/includes/usr/bin/boot-tools/boottoolsSoftwareXwindows
new file mode 100644
index 00000000..41824f18
--- /dev/null
+++ b/client/boot-tools/includes/usr/bin/boot-tools/boottoolsSoftwareXwindows
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+export LANGUAGE=C
+export LC_ALL=C
+export LANG=C
+
+apt-get clean
+apt-get -y update
+
+apt-get -y --force-yes install xorg-dev xorg lxde roxterm
+
+apt-get clean
+
+history -c \ No newline at end of file
diff --git a/client/boot-tools/includes/usr/bin/boot-tools/boottoolsSshClient.sh b/client/boot-tools/includes/usr/bin/boot-tools/boottoolsSshClient.sh
new file mode 100755
index 00000000..10aa673e
--- /dev/null
+++ b/client/boot-tools/includes/usr/bin/boot-tools/boottoolsSshClient.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+echo "comprobando directorio .ssh del root"
+if [ ! -d /root/.ssh ]
+then
+ echo "creando directorio .ssh 600"
+ mkdir -p /root/.ssh
+ chmod 700 /root/.ssh
+fi
+
+
+echo "comprobando el fichero authorized_keys .ssh del root"
+if [ ! -f /root/.ssh/authorized_keys ]
+then
+ echo "creando el fichero authorized_keys"
+ touch /root/.ssh/authorized_keys
+ chmod 600 /root/.ssh/authorized_keys
+fi
+
+ssh-keygen -q -f /root/.ssh/id_rsa -N ""
+cat /root/.ssh/id_rsa.pub >> /root/.ssh/authorized_keys
+
+## TODO: exportamos la publica a los repos
+cp /root/.ssh/id_rsa.pub /tmp/rsa.ogclient.pub
+
+history -c \ No newline at end of file
diff --git a/client/boot-tools/includes/usr/bin/boot-tools/boottoolsSshServer.sh b/client/boot-tools/includes/usr/bin/boot-tools/boottoolsSshServer.sh
new file mode 100755
index 00000000..02ea71cd
--- /dev/null
+++ b/client/boot-tools/includes/usr/bin/boot-tools/boottoolsSshServer.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+echo "comprobando directorio .ssh del root"
+if [ ! -d /root/.ssh ]
+then
+ echo "creando directorio .ssh 600"
+ mkdir -p /root/.ssh
+ chmod 700 /root/.ssh
+fi
+echo "creando el fichero authorized_keys"
+touch /root/.ssh/authorized_keys
+chmod 600 /root/.ssh/authorized_keys
+
+echo "importando la clave publica del servidor OG"
+cat /tmp/id_rsa.pub
+
+[ -f /tmp/id_rsa.pub ] && cat /tmp/id_rsa.pub >> /root/.ssh/authorized_keys || echo "no key publica og"
+
+ history -c \ No newline at end of file
diff --git a/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.Xwindow b/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.Xwindow
new file mode 100644
index 00000000..25356820
--- /dev/null
+++ b/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.Xwindow
@@ -0,0 +1,10 @@
+#sw.X
+#+300M
+#install xorg-dev
+#install xorg
+#install lxde
+#+80M roxterm y gparted
+install roxterm
+install gparted
+#xvesa en compilacion
+install openbox \ No newline at end of file
diff --git a/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.Zinitrd b/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.Zinitrd
new file mode 100644
index 00000000..48438791
--- /dev/null
+++ b/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.Zinitrd
@@ -0,0 +1,3 @@
+#sw.zinitrd
+install busybox-static
+install bash-static
diff --git a/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.basic b/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.basic
new file mode 100644
index 00000000..4286d652
--- /dev/null
+++ b/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.basic
@@ -0,0 +1,13 @@
+#Format install paquete
+install dialog
+install man-db
+install fbset
+install gdebi-core
+install busybox-static
+install console-data
+install locales
+install lshw
+install gawk
+install subversion
+install python-openssl
+install python \ No newline at end of file
diff --git a/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.cloning b/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.cloning
new file mode 100644
index 00000000..9eda4b6b
--- /dev/null
+++ b/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.cloning
@@ -0,0 +1,16 @@
+#sw.cloning
+install drbl-partimage
+install fsarchiver
+install pv
+install kexec-tools
+install mbuffer
+install parted
+install drbl-chntpw
+install chntpw
+install clonezilla
+install registry-tools
+install reglookup
+install libparse-win32registry-perl
+install grokevt
+install libhivex0
+install libhivex-bin \ No newline at end of file
diff --git a/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.compile b/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.compile
new file mode 100644
index 00000000..8b1d1001
--- /dev/null
+++ b/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.compile
@@ -0,0 +1,10 @@
+install build-essential
+install libattr*
+install attr
+install make
+install m4
+install gettext
+install libmhash-dev
+install gdebi-core
+install gawk
+
diff --git a/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.compresor b/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.compresor
new file mode 100644
index 00000000..113e885e
--- /dev/null
+++ b/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.compresor
@@ -0,0 +1,12 @@
+#sw.compressor
+install lzma
+install zip
+install unzip
+install gzip
+install lzop
+install drbl-lzop
+install pigz
+install pbzip2
+install lbzip2
+install rzip
+install p7zip-full \ No newline at end of file
diff --git a/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.filesystem.local b/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.filesystem.local
new file mode 100644
index 00000000..16d67da5
--- /dev/null
+++ b/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.filesystem.local
@@ -0,0 +1,21 @@
+#sw.filesystem.local
+install squashfs-tools
+install unionfs-fuse
+install drbl-ntfsprogs
+install ntfsprogs
+install ntfs-3g
+install dosfstools
+install dmraid
+install dmsetup
+install lvm2
+install e2fsprogs
+install jfsutils
+install reiserfsprogs
+install xfsprogs
+install mhddfs
+install hfsplus
+install hfsprogs
+install hfsutils
+install nilfs-tools
+install reiser4progs
+install ufsutils \ No newline at end of file
diff --git a/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.filesystem.remote b/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.filesystem.remote
new file mode 100644
index 00000000..192a4017
--- /dev/null
+++ b/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.filesystem.remote
@@ -0,0 +1,9 @@
+#sw.filesystem.remote
+install nfs-common
+install sshfs
+install smbfs
+install smbclient
+install davfs2
+install open-iscsi
+install openssh-server
+install bittornado \ No newline at end of file
diff --git a/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.monitoring b/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.monitoring
new file mode 100644
index 00000000..49adc6f3
--- /dev/null
+++ b/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.monitoring
@@ -0,0 +1,12 @@
+#sw.monitoring
+install htop
+install ncdu
+install bwbar
+install bmon
+install iftop
+install ifstat
+install dstat
+install hdparm
+install sdparm
+install blktool
+install testdisk \ No newline at end of file
diff --git a/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.networking b/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.networking
new file mode 100644
index 00000000..d8efd04e
--- /dev/null
+++ b/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.networking
@@ -0,0 +1,14 @@
+#sw.networking
+install netpipes
+install wget
+install tftp
+install dnsutils
+install trickle
+install lighttpd
+install ethtool
+install ssmping
+install mii-diag
+install tcpdump
+install nmap
+install arping
+install iptraf \ No newline at end of file
diff --git a/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.testing b/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.testing
new file mode 100644
index 00000000..282de9e8
--- /dev/null
+++ b/client/boot-tools/includes/usr/bin/boot-tools/listpackages/sw.testing
@@ -0,0 +1,4 @@
+#sw.other
+install screen
+install schroot
+install grub \ No newline at end of file
diff --git a/client/boot-tools/includes/usr/bin/boot-tools/qemu.sh b/client/boot-tools/includes/usr/bin/boot-tools/qemu.sh
new file mode 100755
index 00000000..49031670
--- /dev/null
+++ b/client/boot-tools/includes/usr/bin/boot-tools/qemu.sh
@@ -0,0 +1,12 @@
+#/bin/bash
+
+mount -o rw,remount /
+mount proc /proc -t proc
+export PATH=$PATH dpkg -i *.deb
+modprobe 8139too
+modprobe 8139cp
+dhclient
+/etc/init.d/ssh restart
+
+
+#qemu -hda ogclient.img -kernel ./ogvmlinuz -initrd ./oginitrd.img -append "root=/dev/sda1 rw init=false" -boot c \ No newline at end of file